#!/bin/bash
fd -e rs -x touch {}
cargo clippy -- \
 -W clippy::nursery \
 -W clippy::perf \
 -W clippy::pedantic \
 -W clippy::complexity \
 -W clippy::cargo \
 -A clippy::unused_io_amount \
 -A clippy::redundant_closure_for_method_calls \
 -A clippy::shadow_unrelated \

# ALLOWS:
# unused_io_amount: there are two places where i want to read up to X bytes and i'm fine with getting less than that
# redundant_closure...: the alternative is often much more verbose
# shadow_unrelated: sometimes things that seem unrelated are actually related ;)

